# MOST\_COMMON\_VALUES\_ACCOUNT

## Overview

*This method returns the most common account values based on the given data path and a robust filter object. There are many types of filters you can apply and you can find information regarding those in the* [*Filters*](/carpool/api-reference/filters.md) *section of the docs. The endpoint example here shows off one of the many filters.*

{% openapi src="/files/8DBWcEolAljo1Ob3pXnG" path="/query/solana" method="post" %}
[Carpool\_dev-MOST\_COMMON\_VALUES\_ACCOUNT-0.1-resolved.json](https://2513171703-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FE1gzfwcjB542lI2VR9XI%2Fuploads%2FmjmzNxk6V9MYLSKMl3Yh%2FCarpool_dev-MOST_COMMON_VALUES_ACCOUNT-0.1-resolved.json?alt=media\&token=88e695ca-298f-45b1-9523-dfa7726a89b8)
{% endopenapi %}

## Filters

As mentioned above, the api definition here illustrates one of Carpool's many filter types. All queries that accept a filter object in the POST body can make use of **any** of the potential filters. Please see the Account Filters section of the documentation to better understand how they are implemented for account related queries.

{% content-ref url="/pages/vGNHLdLNZJxRxbiTygpa" %}
[Account Filters](/carpool/api-reference/filters/account-filters.md)
{% endcontent-ref %}

## Example - Basic

**Program** - *Candy Machine*

**Description** *- Return the most common account values at the given path data.creators.percentageShare for all CandyMachine accounts. Filter for only mutable accounts.*

#### Javascript

```javascript
var myHeaders = new Headers();
myHeaders.append("x-api-key", "<API_KEY>");
myHeaders.append("Content-Type", "application/json");

var raw = JSON.stringify({
  "type": "MOST_COMMON_VALUES_ACCOUNT",
  "query": {
    "programId": "CndyV3LdqHUfDLmE5naZjVN8rBZz4tqhdefbAnjHG3JR",
    "accountName": "CandyMachine",
    "path": "data.creators.percentageShare",
    "filter": {
      "type": "ACCOUNT_DATA_KEYWORD",
      "path": "data.isMutable",
      "value": "true"
    }
  }
});

var requestOptions = {
  method: 'POST',
  headers: myHeaders,
  body: raw,
  redirect: 'follow'
};

fetch("https://mainnet.carpool.dev/query/solana", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));
```

#### cURL

```
curl --location 'https://mainnet.carpool.dev/query/solana' \
--header 'x-api-key: <API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
    "type": "MOST_COMMON_VALUES_ACCOUNT",
    "query": {
        "programId": "CndyV3LdqHUfDLmE5naZjVN8rBZz4tqhdefbAnjHG3JR",
        "accountName": "CandyMachine",
        "path": "data.creators.percentageShare",
         "filter": {
            "type": "ACCOUNT_DATA_KEYWORD",
            "path": "data.isMutable",
            "value": "true"
        }
    }
}'
```

## Example - Advanced

**Program** - *Candy Machine*

**Description** *- Return the most common account values at the given path data.creators.percentageShare for all CandyMachine accounts. Filter for only mutable accounts. Return up to 10 objects and only look in the specified time range.*

#### Javascript

```javascript
var myHeaders = new Headers();
myHeaders.append("x-api-key", "<API_KEY>");
myHeaders.append("Content-Type", "application/json");

var raw = JSON.stringify({
  "type": "MOST_COMMON_VALUES_ACCOUNT",
  "query": {
    "programId": "CndyV3LdqHUfDLmE5naZjVN8rBZz4tqhdefbAnjHG3JR",
    "accountName": "CandyMachine",
    "path": "data.creators.percentageShare",
    "filter": {
      "type": "ACCOUNT_DATA_KEYWORD",
      "path": "data.isMutable",
      "value": "true"
    },
    "limit": 10,
    "timeRange": {
      "before": "2023-07-19T22:53:09+0000",
      "after": "2023-07-11T22:53:09+0000"
    }
  }
});

var requestOptions = {
  method: 'POST',
  headers: myHeaders,
  body: raw,
  redirect: 'follow'
};

fetch("https://mainnet.carpool.dev/query/solana", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));
```

#### cURL

```
curl --location 'https://mainnet.carpool.dev/query/solana' \
--header 'x-api-key: <API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
    "type": "MOST_COMMON_VALUES_ACCOUNT",
    "query": {
        "programId": "CndyV3LdqHUfDLmE5naZjVN8rBZz4tqhdefbAnjHG3JR",
        "accountName": "CandyMachine",
        "path": "data.creators.percentageShare",
        "filter": {
            "type": "ACCOUNT_DATA_KEYWORD",
            "path": "data.isMutable",
            "value": "true"
        },
        "limit": 10,
        "timeRange": {
            "before": "2023-07-19T22:53:09+0000",
            "after": "2023-07-11T22:53:09+0000"
        }
    }
}'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://carpool.gitbook.io/carpool/api-reference/accounts/most_common_values_account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
